package com.lovecoding.day03;


/**
 * @author WanJl
 * @version 1.0
 * @title Demo04
 * @description 给定整数 12345，使用 while 循环求其各位数字之和并输出（1+2+3+4+5）。
 * @create 2026/7/9
 */
public class Demo04 {
    public static void main(String[] args) {
        int number=12345;
        int sum=0;//和
        // 循环
        while (number!=0){
            sum+=number%10; //得到每一个 个位的数
            number/=10;     //缩小10倍
            //      /=  +=  -=  *=
            //  a+=1        a=a+1
            //  a/=1        a=a/1
        }
        System.out.println(sum);
    }
}
